{ pkgs, lib, ... }:
let
  script = pkgs.writeShellApplication {
    name = "bitwarden-to-vault-wrapped";
    meta = {
      mainProgram = "bitwarden-to-vault-wrapped";
    };
    runtimeInputs = [ pkgs.khscodes.openbao-helper ];
    text = ''
      openbao-helper transfer
    '';
  };
in
lib.khscodes.mkBwEnv {
  inherit pkgs;
  name = "bitwarden-to-vault";
  items = import ../bw-opentofu/secrets-map.nix;
  exe = lib.getExe script;
}
